# Django 启动

1. 无前端
2. 启动django
   + 进入交互式命令模式，创建并激活虚拟环境（仅创建Pipfile），安装依赖（可以使用`--python`参数指定`python`进行创建，本应用必须使用32位`python`）
    ```
    $pipenv --python /your/python/path-32/python.exe shell
    ```
   + 或者直接使用`install`创建虚拟环境（如果存在Pipfile和Pipfile.lock，则安装，不存在就创建），并安装依赖（可以使用`--python`参数指定`python`进行创建，本应用必须使用32位`python`）
    ```
    $pipenv --python /your/python/path-32/python.exe install
    ```
   + 迁移，如果项目重构，或项目迁移
   ```
   $python manage.py migrate
   ```

   + 启动（默认IP和端口）
    ```
    $python manage.py runserver
    ```
   + 启动（指定IP和端口）
    ```
    $python manage.py runserver 192.168.1.50:8080
    ```
## 打包
1. 相关版本
   + python 3.10.5，32位
   + pip 22.1.2
   + pyinstaller 5.2
2. 安装`pyinstaller`
   ```
   $pip3 install pyinstaller
   ```
3. 依赖包脚本`dep-package.txt`更新
   + 如果有依赖包版本升级（可以查看Pipfile和Pipfile.lock文件中对应依赖包的版本），请更新`requirements-dependency-package.txt`对应依赖包版本；
4. 运行脚本`dep-package-setup.bat`安装全部依赖
   ```
   $dep-package-setup.bat
   ```
5. 生成spec文件
   ```
   $pyi-makespec -i ./pkg.ico --noupx --add-data ./idcard/biz/lib/dll/*.dll;./idcard/biz/lib/dll manage.py
   ```
6. 打包
    ```
   $pyinstaller --clean -y manage.spec
   ```
7. 进入打包目录
   ```
   $cd dist/manage
   ```
8. 运行打包程序
   ```
   # 不加`--noreload`参数要报错
   $manage.exe runserver 21600 --noreload
   ```  